%define upstream_name    Syntax-Highlight-Perl6
%define upstream_version 0.88

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Group:      Development/Perl
Summary:    Perl 6 Syntax Highlighter
License:    (GPL+ or Artistic) and Artistic 2.0 and (MIT or GPLv2) 
URL:        https://metacpan.org/release/Syntax-Highlight-Perl6
Source0:    https://cpan.metacpan.org/modules/by-module/Syntax/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(Moose)
BuildRequires: perl(Readonly)
BuildRequires: perl(File::ShareDir::Install)
BuildRequires: perl(STD)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(YAML::XS)

%description
Syntax::Highlight::Perl6 parses Perl 6 source code using an embedded
STD.pm. It matches parse tree nodes to colors then returns them in
different output formats. It can be used to create web pages with colorful
source code samples in its simple and snippet HTML modes, or it can be used
as a learning tool in examining STD.pm's output using the JavaScript node
viewer in its full HTML mode. Or you can use its parse tree Perl 5 records
to build your next great idea.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%install
%make_install

%check
make test

%files
%doc README Changes META.yml
%{_mandir}/man3*/*
%perl_vendorlib/*
/usr/bin/hilitep6
/usr/share/man/man1/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.880.0-11.mga10
+ Revision: 2209313
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.880.0-10.mga9
+ Revision: 1819770
- Mageia 9 Mass Rebuild

* Wed Apr 29 2020 tv <tv> 0.880.0-9.mga8
+ Revision: 1573083
- use our flags to build
- fix license
- // make makes no sense for %%check
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.880.0-8.mga7
+ Revision: 1271374
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.880.0-7.mga6
+ Revision: 1033586
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.880.0-6.mga6
+ Revision: 934201
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.880.0-5.mga5
+ Revision: 744330
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.880.0-3.mga4
+ Revision: 522016
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 umeabot <umeabot> 0.880.0-2.mga3
+ Revision: 394574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.880.0-1.mga1
+ Revision: 40199
- adding missing buildrequires:
- adding missing buildrequires:
- update to 0.88

* Sat Jan 22 2011 jquelin <jquelin> 0.840.0-1.mga1
+ Revision: 32413
- mageia rebuild
- imported package perl-Syntax-Highlight-Perl6

